## nproc 0.1

=== DESCRIPTION ===
Package: nproc
Type: Package
Title: Neyman-Pearson Receiver Operator Curve
Version: 0.1
Date: 2016-02-11
Author: Yang Feng, Jessica Li and Xin Tong
Maintainer: Yang Feng <yang.feng@columbia.edu>
Imports: glmnet, e1071, randomForest, MASS, parallel, ada, stats,
        graphics
Description: Given a sample of class 0 and class 1 and a classification method, the package generates the corresponding Neyman-Pearson classifier with a pre-specified type-I error control and Neyman-Pearson Receiver Operator Curve.
License: GPL-2
LazyData: TRUE
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-02-13 03:37:51 UTC; yangfeng
Repository: CRAN
Date/Publication: 2016-02-13 19:01:18

## nproc 0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: nproc
 Type: Package
 Title: Neyman-Pearson Receiver Operator Curve
-Version: 0.1
-Date: 2016-02-11
+Version: 0.4
+Date: 2016-04-17
 Author: Yang Feng, Jessica Li and Xin Tong
 Maintainer: Yang Feng <yang.feng@columbia.edu>
 Imports: glmnet, e1071, randomForest, MASS, parallel, ada, stats,
@@ -11,7 +11,9 @@
 License: GPL-2
 LazyData: TRUE
 RoxygenNote: 5.0.1
+Suggests: knitr, rmarkdown
+VignetteBuilder: knitr
+Packaged: 2016-05-03 04:01:14 UTC; yangfeng
 NeedsCompilation: no
-Packaged: 2016-02-13 03:37:51 UTC; yangfeng
 Repository: CRAN
-Date/Publication: 2016-02-13 19:01:18
+Date/Publication: 2016-05-03 08:20:45

## nproc 0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: nproc
 Type: Package
 Title: Neyman-Pearson Receiver Operator Curve
-Version: 0.4
-Date: 2016-04-17
+Version: 0.5
+Date: 2016-05-08
 Author: Yang Feng, Jessica Li and Xin Tong
 Maintainer: Yang Feng <yang.feng@columbia.edu>
 Imports: glmnet, e1071, randomForest, MASS, parallel, ada, stats,
@@ -13,7 +13,7 @@
 RoxygenNote: 5.0.1
 Suggests: knitr, rmarkdown
 VignetteBuilder: knitr
-Packaged: 2016-05-03 04:01:14 UTC; yangfeng
+Packaged: 2016-05-08 14:15:02 UTC; yangfeng
 NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2016-05-03 08:20:45
+Date/Publication: 2016-05-08 18:18:59

## nproc 0.5.1

=== Makefile ===
# This Makefile provides only what is needed to build and install nproc.
# Development is done with omake using the OMakefile.

.PHONY: default all opt install uninstall

default: all opt

META: META.in VERSION
	echo "version = \"$$(cat VERSION)\"" > META
	cat META.in >> META

all: META
	ocamlfind ocamlc -c nproc.mli -package lwt.unix
	ocamlfind ocamlc -a -g nproc.ml -o nproc.cma -package lwt.unix
opt: META
	ocamlfind ocamlc -c nproc.mli -package lwt.unix
	ocamlfind ocamlopt -a -g nproc.ml -o nproc.cmxa -package lwt.unix
install:
	ocamlfind install nproc META \
          `find nproc.mli nproc.cmi \
                nproc.cmo nproc.cma \
                nproc.cmx nproc.o nproc.cmxa nproc.a`
uninstall:
	ocamlfind remove nproc

.PHONY: clean
clean:
	omake clean
	rm -f *.omc

=== debian/changelog ===
nproc (0.5.1-5build8) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Oct 2025 14:47:27 +0200

nproc (0.5.1-5build7) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jun 2025 05:25:36 +0200

nproc (0.5.1-5build6) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 15:37:36 -0400

nproc (0.5.1-5build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 00:00:31 +0100

nproc (0.5.1-5build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 23:33:17 +0100

nproc (0.5.1-5build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:19:44 +0100

nproc (0.5.1-5build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:02:47 +0100

nproc (0.5.1-5build1) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2024 13:36:39 +0200

nproc (0.5.1-5) unstable; urgency=medium

  * Fix compilation with OCaml 5.2.0 (Closes: #1073888)
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Aug 2024 05:55:56 +0200

nproc (0.5.1-4) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Depend on ocaml instead of transitional ocaml-nox

  [ Debian Janitor ]
  * Update watch file format version to 4
  * Set upstream metadata fields: Repository-Browse
  * Update standards version to 4.6.1, no changes needed

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 10:01:39 +0200

nproc (0.5.1-3) unstable; urgency=medium

  * Update Vcs-* to point to salsa
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no
  * Add empty dh_dwz override to prevent FTBFS

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Jul 2020 11:12:56 +0200

nproc (0.5.1-2) unstable; urgency=medium

  * debian/patches:
    - import bugfixes from upstream master branch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 19 Feb 2015 09:06:57 +0100

nproc (0.5.1-1) unstable; urgency=low

  * Initial upload (Closes: #777609).

 -- Stéphane Glondu <glondu@debian.org>  Thu, 12 Feb 2015 13:48:41 +0100

=== debian/control ===
Source: nproc
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 libcamlp-streams-ocaml-dev,
 liblwt-ocaml-dev,
 omake,
 ocaml-findlib,
 dh-ocaml
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/MyLifeLabs/nproc
Vcs-Browser: https://salsa.debian.org/ocaml-team/nproc
Vcs-Git: https://salsa.debian.org/ocaml-team/nproc.git

Package: libnproc-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: process pool implementation for OCaml
 Nproc is a process pool implementation for OCaml. A process pool is a
 fixed set of processes that perform arbitrary computations for a
 master process, in parallel and without blocking the master. Master
 and workers communicate by message-passing. Nproc relies on fork,
 pipes, Marshal and Lwt.
 .
 This package contains the development modules you need to use Nproc
 in your programs.

=== debian/watch ===
version=4
https://github.com/MyLifeLabs/nproc/tags/ .*/v([\d\.]+)\.tar\.gz

## nproc 1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: nproc
 Type: Package
 Title: Neyman-Pearson Receiver Operator Curve
-Version: 0.5
-Date: 2016-05-08
+Version: 1.1
+Date: 2016-06-18
 Author: Yang Feng, Jessica Li and Xin Tong
 Maintainer: Yang Feng <yang.feng@columbia.edu>
 Imports: glmnet, e1071, randomForest, MASS, parallel, ada, stats,
@@ -13,7 +13,7 @@
 RoxygenNote: 5.0.1
 Suggests: knitr, rmarkdown
 VignetteBuilder: knitr
-Packaged: 2016-05-08 14:15:02 UTC; yangfeng
 NeedsCompilation: no
+Packaged: 2016-06-18 21:44:05 UTC; yangfeng
 Repository: CRAN
-Date/Publication: 2016-05-08 18:18:59
+Date/Publication: 2016-06-19 16:44:56

## nproc 1.2

=== DESCRIPTION ===
Package: nproc
Type: Package
Title: Neyman-Pearson Receiver Operating Characteristics
Version: 1.2
Date: 2016-08-10
Author: Yang Feng, Jessica Li and Xin Tong
Maintainer: Yang Feng <yang.feng@columbia.edu>
Imports: glmnet, e1071, randomForest, MASS, parallel, ada, stats,
        graphics
Description: Given a sample of class 0 and class 1 and a classification method, the package generates the corresponding Neyman-Pearson classifier with a pre-specified type-I error control and Neyman-Pearson Receiver Operating Characteristics.
License: GPL-2
LazyData: TRUE
RoxygenNote: 5.0.1
URL: http://arxiv.org/abs/1608.03109
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2016-08-11 00:31:00 UTC; yangfeng
Repository: CRAN
Date/Publication: 2016-08-11 13:02:48

## nproc 2.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: nproc
 Type: Package
 Title: Neyman-Pearson Receiver Operating Characteristics
-Version: 1.2
-Date: 2016-08-10
+Version: 2.0.1
+Date: 2016-09-18
 Author: Yang Feng, Jessica Li and Xin Tong
 Maintainer: Yang Feng <yang.feng@columbia.edu>
 Imports: glmnet, e1071, randomForest, MASS, parallel, ada, stats,
@@ -15,6 +15,6 @@
 Suggests: knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2016-08-11 00:31:00 UTC; yangfeng
+Packaged: 2016-09-26 23:56:48 UTC; yangfeng
 Repository: CRAN
-Date/Publication: 2016-08-11 13:02:48
+Date/Publication: 2016-09-27 08:41:50

## nproc 2.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: nproc
 Type: Package
 Title: Neyman-Pearson Receiver Operating Characteristics
-Version: 2.0.1
-Date: 2016-09-18
+Version: 2.0.4
+Date: 2017-01-12
 Author: Yang Feng, Jessica Li and Xin Tong
 Maintainer: Yang Feng <yang.feng@columbia.edu>
 Imports: glmnet, e1071, randomForest, MASS, parallel, ada, stats,
@@ -15,6 +15,6 @@
 Suggests: knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2016-09-26 23:56:48 UTC; yangfeng
+Packaged: 2017-01-13 05:28:13 UTC; yangfeng
 Repository: CRAN
-Date/Publication: 2016-09-27 08:41:50
+Date/Publication: 2017-01-13 15:37:46

## nproc 2.0.6

=== DESCRIPTION ===
Package: nproc
Type: Package
Title: Neyman-Pearson Receiver Operating Characteristics
Version: 2.0.6
Date: 2017-03-02
Author: Yang Feng, Jessica Li and Xin Tong
Maintainer: Yang Feng <yang.feng@columbia.edu>
Imports: glmnet, e1071, randomForest, MASS, parallel, ada, stats,
        graphics, ROCR, tree
Description: Given a sample of class 0 and class 1 and a classification method, the package generates the corresponding Neyman-Pearson classifier with a pre-specified type-I error control and Neyman-Pearson Receiver Operating Characteristics.
License: GPL-2
LazyData: TRUE
RoxygenNote: 5.0.1
URL: http://arxiv.org/abs/1608.03109
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2017-03-03 02:53:29 UTC; yangfeng
Repository: CRAN
Date/Publication: 2017-03-04 17:12:32

## nproc 2.0.8

=== DESCRIPTION ===
Package: nproc
Type: Package
Title: Neyman-Pearson (NP) Classification Algorithms and NP Receiver
        Operating Characteristic (NP-ROC) Curves
Version: 2.0.8
Date: 2017-08-17
Author: Yang Feng, Jingyi Jessica Li and Xin Tong
Maintainer: Yang Feng <yang.feng@columbia.edu>
Imports: glmnet, e1071, randomForest, MASS, parallel, ada, stats,
        graphics, ROCR, tree
Description: In many binary classification applications, such as disease diagnosis and spam detection, practitioners commonly face the need to limit type I error (i.e., the conditional probability of misclassifying a class 0 observation as class 1) so that it remains below a desired threshold. To address this need, the Neyman-Pearson (NP) classification paradigm is a natural choice; it minimizes type II error (i.e., the conditional probability of misclassifying a class 1 observation as class 0) while enforcing an upper bound, alpha, on the type I error. Although the NP paradigm has a century-long history in hypothesis testing, it has not been well recognized and implemented in classification schemes. Common practices that directly limit the empirical type I error to no more than alpha do not satisfy the type I error control objective because the resulting classifiers are still likely to have type I errors much larger than alpha. As a result, the NP paradigm has not been properly implemented for many classification scenarios in practice. In this work, we develop the first umbrella algorithm that implements the NP paradigm for all scoring-type classification methods, including popular methods such as logistic regression, support vector machines and random forests. Powered by this umbrella algorithm, we propose a novel graphical tool for NP classification methods: NP receiver operating characteristic (NP-ROC) bands, motivated by the popular receiver operating characteristic (ROC) curves. NP-ROC bands will help choose in a data adaptive way and compare different NP classifiers. The paper is available at <arXiv:1608.03109>. 
License: GPL-2
LazyData: TRUE
RoxygenNote: 6.0.1
URL: http://arxiv.org/abs/1608.03109
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2017-09-01 12:33:18 UTC; yangfeng
Repository: CRAN
Date/Publication: 2017-09-01 13:04:08 UTC

## nproc 2.0.9

=== DESCRIPTION ===
Package: nproc
Type: Package
Title: Neyman-Pearson (NP) Classification Algorithms and NP Receiver
        Operating Characteristic (NP-ROC) Curves
Version: 2.0.9
Date: 2017-09-16
Author: Yang Feng, Jingyi Jessica Li and Xin Tong
Maintainer: Yang Feng <yang.feng@columbia.edu>
Imports: glmnet, e1071, randomForest, MASS, parallel, ada, stats,
        graphics, ROCR, tree
Description: In many binary classification applications, such as disease
    diagnosis and spam detection, practitioners commonly face the need to limit
    type I error (i.e., the conditional probability of misclassifying a class 0
    observation as class 1) so that it remains below a desired threshold. To address
    this need, the Neyman-Pearson (NP) classification paradigm is a natural choice;
    it minimizes type II error (i.e., the conditional probability of misclassifying
    a class 1 observation as class 0) while enforcing an upper bound, alpha, on the
    type I error. Although the NP paradigm has a century-long history in hypothesis
    testing, it has not been well recognized and implemented in classification
    schemes. Common practices that directly limit the empirical type I error to
    no more than alpha do not satisfy the type I error control objective because
    the resulting classifiers are still likely to have type I errors much larger
    than alpha. As a result, the NP paradigm has not been properly implemented
    for many classification scenarios in practice. In this work, we develop the
    first umbrella algorithm that implements the NP paradigm for all scoring-type
    classification methods, including popular methods such as logistic regression,
    support vector machines and random forests. Powered by this umbrella algorithm,
    we propose a novel graphical tool for NP classification methods: NP receiver
    operating characteristic (NP-ROC) bands, motivated by the popular receiver
    operating characteristic (ROC) curves. NP-ROC bands will help choose in a data
    adaptive way and compare different NP classifiers. The paper is available at
    <arXiv:1608.03109>.
License: GPL-2
LazyData: TRUE
RoxygenNote: 5.0.1
URL: http://arxiv.org/abs/1608.03109
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2017-09-18 01:59:32 UTC; yangfeng
Repository: CRAN
Date/Publication: 2017-09-18 03:29:28 UTC

## nproc 2.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Type: Package
 Title: Neyman-Pearson (NP) Classification Algorithms and NP Receiver
         Operating Characteristic (NP-ROC) Curves
-Version: 2.0.9
-Date: 2017-09-16
+Version: 2.1.1
+Date: 2018-02-14
 Author: Yang Feng, Jingyi Jessica Li and Xin Tong
 Maintainer: Yang Feng <yang.feng@columbia.edu>
-Imports: glmnet, e1071, randomForest, MASS, parallel, ada, stats,
-        graphics, ROCR, tree
+Imports: glmnet, e1071, randomForest, naivebayes, MASS, parallel, ada,
+        stats, graphics, ROCR, tree
 Description: In many binary classification applications, such as disease
     diagnosis and spam detection, practitioners commonly face the need to limit
     type I error (i.e., the conditional probability of misclassifying a class 0
@@ -28,15 +28,14 @@
     we propose a novel graphical tool for NP classification methods: NP receiver
     operating characteristic (NP-ROC) bands, motivated by the popular receiver
     operating characteristic (ROC) curves. NP-ROC bands will help choose in a data
-    adaptive way and compare different NP classifiers. The paper is available at
-    <arXiv:1608.03109>.
+    adaptive way and compare different NP classifiers. 
 License: GPL-2
 LazyData: TRUE
-RoxygenNote: 5.0.1
-URL: http://arxiv.org/abs/1608.03109
+RoxygenNote: 6.0.1
+URL: http://advances.sciencemag.org/content/4/2/eaao1659
 Suggests: knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2017-09-18 01:59:32 UTC; yangfeng
+Packaged: 2018-02-13 15:05:51 UTC; yangfeng
 Repository: CRAN
-Date/Publication: 2017-09-18 03:29:28 UTC
+Date/Publication: 2018-02-13 15:42:28 UTC

## nproc 2.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Type: Package
 Title: Neyman-Pearson (NP) Classification Algorithms and NP Receiver
         Operating Characteristic (NP-ROC) Curves
-Version: 2.1.1
-Date: 2018-02-14
-Author: Yang Feng, Jingyi Jessica Li and Xin Tong
+Version: 2.1.4
+Date: 2018-11-10
+Author: Yang Feng, Jingyi Jessica Li, Xin Tong, and Ye Tian
 Maintainer: Yang Feng <yang.feng@columbia.edu>
 Imports: glmnet, e1071, randomForest, naivebayes, MASS, parallel, ada,
         stats, graphics, ROCR, tree
@@ -31,11 +31,11 @@
     adaptive way and compare different NP classifiers. 
 License: GPL-2
 LazyData: TRUE
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.0
 URL: http://advances.sciencemag.org/content/4/2/eaao1659
 Suggests: knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-02-13 15:05:51 UTC; yangfeng
+Packaged: 2018-11-10 18:30:30 UTC; yangfeng
 Repository: CRAN
-Date/Publication: 2018-02-13 15:42:28 UTC
+Date/Publication: 2018-11-16 18:20:03 UTC

## nproc 2.1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Type: Package
 Title: Neyman-Pearson (NP) Classification Algorithms and NP Receiver
         Operating Characteristic (NP-ROC) Curves
-Version: 2.1.4
-Date: 2018-11-10
-Author: Yang Feng, Jingyi Jessica Li, Xin Tong, and Ye Tian
-Maintainer: Yang Feng <yang.feng@columbia.edu>
+Version: 2.1.5
+Date: 2020-01-13
+Authors@R: c(person("Yang", "Feng", email = "yangfengstat@gmail.com",
+  role = c("aut", "cre")),person("Jessica", "Li",
+  role = c("aut")),person("Xin", "Tong",
+  role = c("aut")),person("Ye", "Tian", role=c("ctb")))
 Imports: glmnet, e1071, randomForest, naivebayes, MASS, parallel, ada,
         stats, graphics, ROCR, tree
 Description: In many binary classification applications, such as disease
@@ -36,6 +38,11 @@
 Suggests: knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-11-10 18:30:30 UTC; yangfeng
+Packaged: 2020-01-13 16:01:14 UTC; yangfeng
+Author: Yang Feng [aut, cre],
+  Jessica Li [aut],
+  Xin Tong [aut],
+  Ye Tian [ctb]
+Maintainer: Yang Feng <yangfengstat@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-11-16 18:20:03 UTC
+Date/Publication: 2020-01-13 19:20:05 UTC
